# Visualization
TKV2d
AIS2D

# AIS2D_ListOfIO Class Reference

`#include <AIS2D_ListOfIO.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS2D_ListOfIO ()
Standard_EXPORT void | Assign (const AIS2D_ListOfIO &Other)
void | operator= (const AIS2D_ListOfIO &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~AIS2D_ListOfIO ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(AIS2D_InteractiveObject)&I)
Standard_EXPORT void | Prepend (const Handle(AIS2D_InteractiveObject)&I, AIS2D_ListIteratorOfListOfIO &theIt)
Standard_EXPORT void | Prepend (AIS2D_ListOfIO &Other)
Standard_EXPORT void | Append (const Handle(AIS2D_InteractiveObject)&I)
Standard_EXPORT void | Append (const Handle(AIS2D_InteractiveObject)&I, AIS2D_ListIteratorOfListOfIO &theIt)
Standard_EXPORT void | Append (AIS2D_ListOfIO &Other)
Standard_EXPORT Handle_AIS2D_InteractiveObject & | First () const
Standard_EXPORT Handle_AIS2D_InteractiveObject & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (AIS2D_ListIteratorOfListOfIO &It)
Standard_EXPORT void | InsertBefore (const Handle(AIS2D_InteractiveObject)&I, AIS2D_ListIteratorOfListOfIO &It)
Standard_EXPORT void | InsertBefore (AIS2D_ListOfIO &Other, AIS2D_ListIteratorOfListOfIO &It)
Standard_EXPORT void | InsertAfter (const Handle(AIS2D_InteractiveObject)&I, AIS2D_ListIteratorOfListOfIO &It)
Standard_EXPORT void | InsertAfter (AIS2D_ListOfIO &Other, AIS2D_ListIteratorOfListOfIO &It)

## Private Member Functions

Standard_EXPORT | AIS2D_ListOfIO (const AIS2D_ListOfIO &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_ListOfIO::AIS2D_ListOfIO | ( |  | ) |

AIS2D_ListOfIO::~AIS2D_ListOfIO | ( |  | ) | `[inline]`

Standard_EXPORT AIS2D_ListOfIO::AIS2D_ListOfIO | ( | const AIS2D_ListOfIO & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void AIS2D_ListOfIO::Append | ( | AIS2D_ListOfIO & | Other | ) |

Standard_EXPORT void AIS2D_ListOfIO::Append | ( | const Handle(AIS2D_InteractiveObject)& | I,
|  | AIS2D_ListIteratorOfListOfIO & | theIt
| ) |

Standard_EXPORT void AIS2D_ListOfIO::Append | ( | const Handle(AIS2D_InteractiveObject)& | I | ) |

Standard_EXPORT void AIS2D_ListOfIO::Assign | ( | const AIS2D_ListOfIO & | Other | ) |

Standard_EXPORT void AIS2D_ListOfIO::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer AIS2D_ListOfIO::Extent | ( |  | ) | const

Standard_EXPORT Handle_AIS2D_InteractiveObject& AIS2D_ListOfIO::First | ( |  | ) | const

Standard_EXPORT void AIS2D_ListOfIO::InsertAfter | ( | AIS2D_ListOfIO & | Other,
|  | AIS2D_ListIteratorOfListOfIO & | It
| ) |

Standard_EXPORT void AIS2D_ListOfIO::InsertAfter | ( | const Handle(AIS2D_InteractiveObject)& | I,
|  | AIS2D_ListIteratorOfListOfIO & | It
| ) |

Standard_EXPORT void AIS2D_ListOfIO::InsertBefore | ( | AIS2D_ListOfIO & | Other,
|  | AIS2D_ListIteratorOfListOfIO & | It
| ) |

Standard_EXPORT void AIS2D_ListOfIO::InsertBefore | ( | const Handle(AIS2D_InteractiveObject)& | I,
|  | AIS2D_ListIteratorOfListOfIO & | It
| ) |

Standard_Boolean AIS2D_ListOfIO::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_AIS2D_InteractiveObject& AIS2D_ListOfIO::Last | ( |  | ) | const

void AIS2D_ListOfIO::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS2D_ListOfIO::operator new | ( | size_t | size | ) | `[inline]`

void* AIS2D_ListOfIO::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void AIS2D_ListOfIO::operator= | ( | const AIS2D_ListOfIO & | Other | ) | `[inline]`

Standard_EXPORT void AIS2D_ListOfIO::Prepend | ( | AIS2D_ListOfIO & | Other | ) |

Standard_EXPORT void AIS2D_ListOfIO::Prepend | ( | const Handle(AIS2D_InteractiveObject)& | I,
|  | AIS2D_ListIteratorOfListOfIO & | theIt
| ) |

Standard_EXPORT void AIS2D_ListOfIO::Prepend | ( | const Handle(AIS2D_InteractiveObject)& | I | ) |

Standard_EXPORT void AIS2D_ListOfIO::Remove | ( | AIS2D_ListIteratorOfListOfIO & | It | ) |

Standard_EXPORT void AIS2D_ListOfIO::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address AIS2D_ListOfIO::myFirst `[private]`

Standard_Address AIS2D_ListOfIO::myLast `[private]`

The documentation for this class was generated from the following file:

- AIS2D_ListOfIO.hxx